This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 230491 - Select revision dialog should expand all branches and tags by default
Summary: Select revision dialog should expand all branches and tags by default
Status: RESOLVED FIXED
Alias: None
Product: versioncontrol
Classification: Unclassified
Component: Git (show other bugs)
Version: 7.4
Hardware: PC Windows 7
: P3 normal with 2 votes (vote)
Assignee: Ondrej Vrabec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-29 21:44 UTC by markiewb
Modified: 2013-09-12 01:22 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments
Shows the switch to dialog and the proposed popup (141.84 KB, image/png)
2013-05-29 21:44 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2013-05-29 21:44:06 UTC
[ BUILD # : 201305262300 ]
[ JDK VERSION : 1.7.0_21 ]

Switching to branches is very tedious when there are many (remote) branches in
the dropdown box. You have scroll many times...

ACTUAL: you cannot filter nor search for branches
EXPECTED: keep the dropdown, but also allow to select the branch via a popup
dialog which allows to quicksearch/filter for the wanted branch. Such a widget
is already present in the "checkout revision" dialog, so it could be reused.
This would be useful.
Comment 1 markiewb 2013-05-29 21:44:58 UTC
Created attachment 135105 [details]
Shows the switch to dialog and the proposed popup
Comment 2 Ondrej Vrabec 2013-05-30 07:40:36 UTC
just to be sure, do you suggest to?
1) add a button Select...
2) expand all nodes in the tree in the second dialog after clicking on "Select"?
btw, you can type directly in the combo box and the selection automatically changes. So in the first dialog, if you start typing "origin/ma" it will autoselect origin/master branch. But i agree that adding the ability to select from the picker would be useful
Comment 3 markiewb 2013-05-30 21:54:35 UTC
(In reply to comment #2)
> just to be sure, do you suggest to?
> 1) add a button Select...
> 2) expand all nodes in the tree in the second dialog after clicking on
> "Select"?
> btw, you can type directly in the combo box and the selection automatically
> changes. So in the first dialog, if you start typing "origin/ma" it will
> autoselect origin/master branch. But i agree that adding the ability to select
> from the picker would be useful

Ondrej, that is exactly what I propose. 
Thanks for the hint of typing into the dropdown box. It works and I am aware of it, but is unusable IMHO. You have to know the exact branch name. You have to make no error in typing. For switching to a remote branch to have to type at least 8 characters ('origin/x'). I know when using a cmdline version of git I would have to type more characters, but in that case there would be branchname completion, I would see where the cursor is, I could use backspace/del and arrow keys to correct a typo in the branchname. All this is not possible when typing into the dropdown.
Comment 4 magnetox 2013-06-09 17:26:41 UTC
Totally agree, It would be very helpful if:
1) We could select a branch by right clicking it in the repo browser
2) The tree appeared expanded, or maybe there have to be an option to make this default
Comment 5 Ondrej Vrabec 2013-09-10 14:36:58 UTC
No need for the "Select" button now. With #227570 fixed there is a list instead of a combobox and it provides quick search capabilities.
But the revision picker should expand all branches automatically so the quick search works there too.
fix: http://hg.netbeans.org/core-main/rev/80293c40c2d8
Comment 6 Quality Engineering 2013-09-12 01:22:04 UTC
Integrated into 'main-silver', will be available in build *201309120002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/80293c40c2d8
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #230491 - Select revision dialog should expand all branches and tags by default